export interface Lang {
    name: string;
    ext: string;
    comments: string[];
    strings: string[];
    numbers: string[];
    keywords: string[];
    operators: string[];
    identifiers: string[];
    punctuations: string[];
    whitespaces: string[];
}
export declare const enum TokenType {
    Comment = 0,
    String = 1,
    Number = 2,
    Keyword = 3,
    Operator = 4,
    Identifier = 5,
    Punctuation = 6,
    Whitespace = 7,
    Other = 8
}
export interface Token {
    type: TokenType;
    value: string;
}
